Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# fat.h File Reference

## Detailed Description

Definition in file fat.h.

`#include "global.h"`
`#include "device.h"`

Go to the source code of this file.

## Defines
#define | MSDOSFSROOT 0
#define | CLUST_FREE 0
#define | MSDOSFSFREE CLUST_FREE
#define | CLUST_FIRST 2
#define | CLUST_RSRVD 0xfffffff6
#define | CLUST_BAD 0xfffffff7
#define | CLUST_EOFS 0xfffffff8
#define | CLUST_EOFE 0xffffffff
#define | FAT12_MASK 0x00000fff
#define | FAT16_MASK 0x0000ffff
#define | FAT32_MASK 0x0fffffff
#define | BOOTSIG0 0x55
#define | BOOTSIG1 0xaa
#define | EXBOOTSIG 0x29
#define | BOOTSIG0 0x55
#define | BOOTSIG1 0xaa
#define | BOOTSIG0 0x55
#define | BOOTSIG1 0xaa
#define | BOOTSIG2 0
#define | BOOTSIG3 0
#define | FATNUM 0xf
#define | FATMIRROR 0x80
#define | FSVERS 0
#define | SLOT_EMPTY 0x00
#define | SLOT_E5 0x05
#define | SLOT_DELETED 0xE5
#define | ATTR_NORMAL 0x00
#define | ATTR_READONLY 0x01
#define | ATTR_HIDDEN 0x02
#define | ATTR_SYSTEM 0x04
#define | ATTR_VOLUME 0x08
#define | ATTR_LONG_FILENAME 0x0F
#define | ATTR_DIRECTORY 0x10
#define | ATTR_ARCHIVE 0x20
#define | LCASE_BASE 0x08
#define | LCASE_EXT 0x10
#define | DIRENTRIES_PER_SECTOR 0x10
#define | WIN_LAST 0x40
#define | WIN_CNT 0x3f
#define | ATTR_WIN95 0x0f
#define | WIN_ENTRY_CHARS 13
#define | WIN_MAXLEN 255
#define | DT_2SECONDS_MASK 0x1F
#define | DT_2SECONDS_SHIFT 0
#define | DT_MINUTES_MASK 0x7E0
#define | DT_MINUTES_SHIFT 5
#define | DT_HOURS_MASK 0xF800
#define | DT_HOURS_SHIFT 11
#define | DD_DAY_MASK 0x1F
#define | DD_DAY_SHIFT 0
#define | DD_MONTH_MASK 0x1E0
#define | DD_MONTH_SHIFT 5
#define | DD_YEAR_MASK 0xFE00
#define | DD_YEAR_SHIFT 9
## Typedefs
typedef FileInfo_s | FileInfo_t
## Functions
unsigned char | fatInit (DevDisk_t *disk)
unsigned int | fatClusterSize (void)
unsigned char | fatGetDirEntry (unsigned short entry)
unsigned char | fatChangeDirectory (unsigned short entry)
void | fatPrintDirEntry (void)
void | fatDumpDirSlot (unsigned short entry)
FileInfo_t * | fatGetFileInfo (void)
unsigned long | fatGetFilesize (void)
char * | fatGetFilename (void)
char * | fatGetDirname (void)
void | fatLoadCluster (unsigned long cluster, unsigned char *buffer)
unsigned long | fatClusterToSector (unsigned long cluster)
unsigned long | fatNextCluster (unsigned long cluster)
unsigned long | fatNextFreeCluster (void)
unsigned long | fatClusterValue (unsigned long cluster)
int | fatWriteClusterValue (unsigned long cluster, unsigned value)
unsigned char * | fatGetFatSector (unsigned long fatsector)
int | fatCreateFile (unsigned char *filename, FileInfo_t *fileInfo)
int | fatFormat (unsigned long volsize)
## Variables
bootsector33 | GNUC_PACKED